| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
BaseToolHandle Class Referenceabstract

Non-templated base class for actual ToolHandle<T>. More...

`#include <GaudiKernel/ToolHandle.h>`

Inheritance diagram for BaseToolHandle:
[legend]
Collaboration diagram for BaseToolHandle:
[legend]

## Public Member Functions
StatusCode | retrieve (IAlgTool *&tool) const
const IAlgTool * | get () const
IAlgTool * | get ()
virtual std::string | typeAndName () const =0
Public Member Functions inherited from ToolHandleInfo
virtual | ~ToolHandleInfo ()=default
bool | isPublic () const noexcept
bool | createIf () const noexcept
const IInterface * | parent () const noexcept

## Protected Member Functions
| BaseToolHandle (const IInterface *parent=nullptr, bool createIf=true)
virtual StatusCode | i_retrieve (IAlgTool *&) const =0
virtual const IAlgTool * | getAsIAlgTool () const =0
virtual IAlgTool * | getAsIAlgTool ()=0
Protected Member Functions inherited from ToolHandleInfo
| ToolHandleInfo (const IInterface *parent=nullptr, bool createIf=true)

## Additional Inherited Members
Static Public Member Functions inherited from ToolHandleInfo
static std::string | toolComponentType (const IInterface *parent)
static std::string | toolParentName (const IInterface *parent)
Protected Attributes inherited from ToolHandleInfo
const IInterface * | m_parent = nullptr
bool | m_createIf {true}

## Detailed Description

Non-templated base class for actual ToolHandle<T>.

Defines the interface for the management of ToolHandles in the Algorithms and Tools

Author
  Daniel Funke danie.nosp@m.l.fu.nosp@m.nke@c.nosp@m.ern..nosp@m.ch

Definition at line 73 of file ToolHandle.h.

## Constructor & Destructor Documentation

BaseToolHandle::BaseToolHandle | ( | const IInterface * | parent = `nullptr`,
|  | bool | createIf = `true`
| ) |  |
| inline protected

Definition at line 78 of file ToolHandle.h.

79 : ToolHandleInfo(parent, createIf)
80 {}
ToolHandleInfo::ToolHandleInfo
ToolHandleInfo(const IInterface *parent=nullptr, bool createIf=true)
Definition: ToolHandle.h:30
ToolHandleInfo::createIf
bool createIf() const noexcept
Definition: ToolHandle.h:40

## Member Function Documentation

const IAlgTool* BaseToolHandle::get | ( |  | ) | const
| inline

Definition at line 90 of file ToolHandle.h.

90 { return getAsIAlgTool(); }
BaseToolHandle::getAsIAlgTool
virtual const IAlgTool * getAsIAlgTool() const =0

IAlgTool* BaseToolHandle::get | ( |  | ) |
| inline

Definition at line 92 of file ToolHandle.h.

92 { return getAsIAlgTool(); }
BaseToolHandle::getAsIAlgTool
virtual const IAlgTool * getAsIAlgTool() const =0

virtual const IAlgTool* BaseToolHandle::getAsIAlgTool | ( |  | ) | const
| protected pure virtual

Implemented in ToolHandle< T >, and ToolHandle< IThreadInitTool >.

virtual IAlgTool* BaseToolHandle::getAsIAlgTool | ( |  | ) |
| protected pure virtual

Implemented in ToolHandle< T >, and ToolHandle< IThreadInitTool >.

virtual StatusCode BaseToolHandle::i_retrieve | ( | IAlgTool *& |  | ) | const
| protected pure virtual

Implemented in ToolHandle< T >, and ToolHandle< IThreadInitTool >.

StatusCode BaseToolHandle::retrieve | ( | IAlgTool *& | tool | ) | const
| inline

Definition at line 86 of file ToolHandle.h.

86 {
87 return i_retrieve(tool);
88 }
BaseToolHandle::i_retrieve
virtual StatusCode i_retrieve(IAlgTool *&) const =0

virtual std::string BaseToolHandle::typeAndName | ( |  | ) | const
| pure virtual

Implemented in ToolHandle< T >, and ToolHandle< IThreadInitTool >.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/ToolHandle.h